#ifndef DRMFILE_P_H
#define DRMFILE_P_H

#include <qglobal.h>
#include <caf/content.h>

using namespace ContentAccess;
class DRMFile;

class DRMFilePrivate
{
public:
    explicit DRMFilePrivate();
    virtual ~DRMFilePrivate();

public:
    int open(const QString & fileName);
    int read(char* data, int length);
    void close();
    int size();
#ifdef SYMBIAN_ENABLE_64_BIT_FILE_SERVER_API
    qint64 size64();
#endif
    bool isDRMError(int error);
    
private:
    int openL(const TDesC& fileName);
   
private:
    CContent *CAF_file;
    CData *CAF_data;
    TBool intentExecuted;
};

#endif // DRMFILE_P_H
